Debian Bug report logs - #641615
orbit2: Please convert to multiarch

version graph

Package: orbit2; Maintainer for orbit2 is Sebastian Rittau <srittau@debian.org>; Source for orbit2 is src:orbit2.

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Wed, 14 Sep 2011 16:54:01 UTC

Severity: normal

Tags: patch

Found in version orbit2/1:2.14.19-0.1

Fixed in version orbit2/1:2.14.19-0.2

Done: Balint Reczey <balint@balintreczey.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641615; Package orbit2. (Wed, 14 Sep 2011 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Sebastian Rittau <srittau@debian.org>. (Wed, 14 Sep 2011 16:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: Please convert to multiarch
Date: Wed, 14 Sep 2011 19:51:34 +0300
[Message part 1 (text/plain, inline)]
Package: orbit2  
Version: 
Severity: normal       
User: debian-dpkg@lists.debian.org
Usertags: multiarch   
Tags: patch                                                                                                                                                       

The attached patch add multiarch to orbit2. Since the maintainers seems MIA, 
I shall NMU this next week unless I hear objections. The patch is against ubuntu
version of packaging, but needs only small mods to apply on debian package.
 
Riku      

[orbit.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641615; Package orbit2. (Mon, 03 Oct 2011 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Mon, 03 Oct 2011 02:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 641615@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 641615@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>
Subject: Please convert to multiarch
Date: Mon, 03 Oct 2011 04:06:13 +0200
[Message part 1 (text/plain, inline)]
Hi Riku,

unfortunately this patch is incomplete. There are several packages
installing shlibs into /usr/lib/orbit-2.0 which would be broken:

Either you update all rdeps to the new MA location or better make orbit
look both into the old and the new directory for plugins.

# apt-file search /usr/lib/orbit-2.0/
at-spi: /usr/lib/orbit-2.0/Accessibility_LoginHelper_module.so
at-spi: /usr/lib/orbit-2.0/Accessibility_module.so
libatspi-dbg:
/usr/lib/debug/usr/lib/orbit-2.0/Accessibility_LoginHelper_module.so
libatspi-dbg: /usr/lib/debug/usr/lib/orbit-2.0/Accessibility_module.so
libbonobo2-0: /usr/lib/orbit-2.0/Bonobo_module.so
libgnome-mag2: /usr/lib/orbit-2.0/GNOME_Magnifier_module.so
libgnome-speech7: /usr/lib/orbit-2.0/GNOME_Speech_module.so
liborbit2: /usr/lib/orbit-2.0/Everything_module.so
liborbit2-dev: /usr/lib/orbit-2.0/Everything_module.a
liborbit2-dev: /usr/lib/orbit-2.0/Everything_module.la

Also, as moving the .la file to the MA location will break other .la
files which reference it, so you can just as well remove them and drop
the dependency_libs cleanup rules from debian/rules.

binNMUs for affected rdeps should be scheduled then.


Cheers,
Michael

P.S: I'm very interested in seeing orbit2 converted as I'd like to
convert libbonobo and afaics orbit2 is a prerequisite for this.
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641615; Package orbit2. (Wed, 30 Nov 2011 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Wed, 30 Nov 2011 10:48:07 GMT) Full text and rfc822 format available.

Message #15 received at 641615@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Michael Biebl <biebl@debian.org>
Cc: 641615@bugs.debian.org
Subject: Re: Please convert to multiarch
Date: Wed, 30 Nov 2011 12:44:19 +0200
On Mon, Oct 03, 2011 at 04:06:13AM +0200, Michael Biebl wrote:
> unfortunately this patch is incomplete. There are several packages
> installing shlibs into /usr/lib/orbit-2.0 which would be broken:
> 
> Either you update all rdeps to the new MA location or better make orbit
> look both into the old and the new directory for plugins.

Fair enough, I can propose such patch, but I don't have time to test
it properly as I'm not a gnome user normally.
 
> Also, as moving the .la file to the MA location will break other .la
> files which reference it, so you can just as well remove them and drop
> the dependency_libs cleanup rules from debian/rules.

There are no .la files in the archive referencing to the orbit .la files,
so this is not a problem anymore.

> P.S: I'm very interested in seeing orbit2 converted as I'd like to
> convert libbonobo and afaics orbit2 is a prerequisite for this.






Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641615; Package orbit2. (Mon, 23 Apr 2012 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Mon, 23 Apr 2012 07:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 641615@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <641615@bugs.debian.org>
Subject: Re: Please convert to multiarch
Date: Mon, 23 Apr 2012 00:07:50 -0700
[Message part 1 (text/plain, inline)]
Package: orbit2
Version: 1:2.14.19-0.1
Followup-For: Bug #641615
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi there,

Please find attached an updated patch to orbit2 to implement the additional
requested fixes for multiarch support.

I'm intending to include this fix in Ubuntu 12.04 LTS.

Thanks for considering the patch.
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[orbit2_1:2.14.19-0.1ubuntu1.debdiff (text/x-diff, attachment)]

Added indication that bug 641615 blocks 677762 Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 19:06:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'orbit2: Please convert to multiarch' from 'Please convert to multiarch' Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Fri, 06 Jul 2012 09:09:26 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 11:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641615; Package orbit2. (Sun, 25 Nov 2012 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Sun, 25 Nov 2012 19:15:06 GMT) Full text and rfc822 format available.

Message #31 received at 641615@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 641615@bugs.debian.org
Cc: <steve.langasek@canonical.com>, Langasek@frosties, Steve@frosties
Subject: Conversion of orbit2 to multiarch
Date: Sun, 25 Nov 2012 20:11:09 +0100
Hi,

this bug is still blocking the ia32-libs-gtk multiarch transition that
really needs to go into wheezy. The current patch in the bugreport has
been around for 7 month now without responce.

Steve: As author of the patch please consider NMUing this patch so we
can get ia32-libs-gtk unstuck.



Reply sent to Balint Reczey <balint@balintreczey.hu>:
You have taken responsibility. (Fri, 30 Aug 2013 10:36:05 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. (Fri, 30 Aug 2013 10:36:05 GMT) Full text and rfc822 format available.

Message #36 received at 641615-close@bugs.debian.org (full text, mbox):

From: Balint Reczey <balint@balintreczey.hu>
To: 641615-close@bugs.debian.org
Subject: Bug#641615: fixed in orbit2 1:2.14.19-0.2
Date: Fri, 30 Aug 2013 10:33:56 +0000
Source: orbit2
Source-Version: 1:2.14.19-0.2

We believe that the bug you reported is fixed in the latest version of
orbit2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641615@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Balint Reczey <balint@balintreczey.hu> (supplier of updated orbit2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 27 Aug 2013 18:32:04 +0200
Source: orbit2
Binary: liborbit2 orbit2 orbit2-nameserver liborbit2-dev
Architecture: source amd64
Version: 1:2.14.19-0.2
Distribution: unstable
Urgency: low
Maintainer: Sebastian Rittau <srittau@debian.org>
Changed-By: Balint Reczey <balint@balintreczey.hu>
Description: 
 liborbit2  - libraries for ORBit2 - a CORBA ORB
 liborbit2-dev - development files for ORBit2 - a CORBA ORB
 orbit2     - a CORBA ORB
 orbit2-nameserver - a CORBA name server
Closes: 641615
Changes: 
 orbit2 (1:2.14.19-0.2) unstable; urgency=low
 .
   [Balint Reczey]
   * Non-maintainer upload.
   * incorporating patches from Ubuntu to fix build failures
 .
   [Sebastien Bacher]
   * debian/patches/git_new_autotools_build.patch:
     - fix the build with the new automake version
   * debian/patches/glib_no_deprecations.patch: turn off glib deprecations,
     to fix the build with the current version
 .
   [ Riku Voipio ]
   * Multiarchize.  Closes: #641615.
 .
   [ Steve Langasek ]
   * Remove .la files from the package, as they're no longer needed.
   * debian/patches/pre-multiarch-compatibility.patch: Support pre-
     multiarch directory as a compatibility fallback.  Closes: #641615,
     LP: #977966.
Checksums-Sha1: 
 4bb205f2293a8318f1a251e5031b2bac2e5cd1c7 1963 orbit2_2.14.19-0.2.dsc
 8418a9c47fb256da33840063c14e45f031f85a36 15995 orbit2_2.14.19-0.2.diff.gz
 4d01ad1923b1748e0be409e3729b21cc6accce4f 233270 liborbit2_2.14.19-0.2_amd64.deb
 c57d99e5e7b826e90dc11b57fc6e77c30ad88fc7 104774 orbit2_2.14.19-0.2_amd64.deb
 209d7da4339df5fcbe0804dd430526a255750b64 111864 orbit2-nameserver_2.14.19-0.2_amd64.deb
 e782f80b4f7dc78280499978d87c9ef6b1a9e088 372650 liborbit2-dev_2.14.19-0.2_amd64.deb
Checksums-Sha256: 
 e751a9af4bd81f424066bf96c76b6906f6dab5532b99dbc47bf0293cbcdc787d 1963 orbit2_2.14.19-0.2.dsc
 10a3e4ee07125ab48acbd8f93a3abdaded9f5f432e4e64b4305c826aa4aff0c4 15995 orbit2_2.14.19-0.2.diff.gz
 fe12cfbc6b35b47fe516de2c95dc188cad8f502be6827f8f55f077f8bacf75fb 233270 liborbit2_2.14.19-0.2_amd64.deb
 fc6b231b20553361b457a79b137987c187576249b9634755a80be3b1250f44da 104774 orbit2_2.14.19-0.2_amd64.deb
 a91ec0eaaaff0ac0687c522b518e06a18ae46b4e5f33f0b78d350e373f11fc13 111864 orbit2-nameserver_2.14.19-0.2_amd64.deb
 efe1213252605fd4c95c9052bb0ceedfd4aec69006b30629c9411c48757800eb 372650 liborbit2-dev_2.14.19-0.2_amd64.deb
Files: 
 e99d2bd04dd505713601cd5cb0e24481 1963 net optional orbit2_2.14.19-0.2.dsc
 026f340a11715b479f0920f5d71f0fde 15995 net optional orbit2_2.14.19-0.2.diff.gz
 88eb5c61c5a294df52e46d01bb6eeb51 233270 libs optional liborbit2_2.14.19-0.2_amd64.deb
 7f79e8e7af27d4402d2d812c4b7321bb 104774 devel optional orbit2_2.14.19-0.2_amd64.deb
 43de03a16f3e94dfacdb409b20273e13 111864 devel optional orbit2-nameserver_2.14.19-0.2_amd64.deb
 0b97a56b87685e816dec50f14465bdec 372650 libdevel optional liborbit2-dev_2.14.19-0.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSIHJjAAoJEPZk0la0aRp93dMP/1TslXVjwQTpKbs/EujOvSFY
oiPddgvL0nLLLgSZs8fVl8C9+fT9micUGRAxLSmDxfWdVQoTqGPh1tkBf8bX6kfQ
zcW6FJsgQpoG3Ie0WJDJMmvwknK8oY9iNS7RthEgp69nK5S7SvfBRUZ7x5cPEzPr
Q+NvCpKxwxr22OEM0jsvr2rENK3LiuoImwr7iagEMbVEFjGq+SGmz5N69gdX8zUa
onpVORtZN/nynEiJ8j1hfbeGKwGgFAttrDieFGTqhPz3H/fzGjxkjumhhjIM4HNj
xB6QZ5idqYiDeTa+PvDsFlHQjOr3/a61UYWX+8SLpQnvAR99UBYQhtONdvp4WZYG
nCsrWHAtx6Qf+i6VpPxXyHFu7UlCrD5iYLbrgFINJNVLGJiCfUKeDYzNszOfThnn
e0ub/Jp69ev1h/TZQUzuA6NDiVG2zs5yMXJwIZP0E/GEOF3tQvnbXOnp9H3tAwdD
sciMhAL6m1uF9mWcRSiU+k+HIJTqiOn0ZCLvqmsfyKEY9Mb9mc8rcrv2DjUYbYvG
BLJhzTYe3FzgJICpDeWMwF7GA/SeFrZmHAsn7dBl1fDhNjmnx3rtH2u+fu6pZaQl
BQKhvRJQ7ywKRlledXEg2CT4O/C+8y6F80fTUVSSt/I1wk/gfltLtK5000iD48nG
hPTS6vCTrYiqT+wpRmFD
=NH7I
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Oct 2013 07:27:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:15:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.